Skip to main content

Login

You can authenticate with the API.

Request

For certain requests, you need a user token which you can retrieve as follows:

POST /user/login

Run in Postman

Parameters

ParameterInTypeRequiredDescriptionExample
emailpayloadboolean
✔️
email of the usertest@flatchr.io
passwordpayloadstring
✔️
User password#Poulpe45

Request example

cURL request
curl -X POST 'https://api.flatchr.io/user/login'
-H 'Content-Type: application/json'
-d '{"email":"test@flatchr.io", "password":"#Poulpe45"}'

Response

NameTypeDescription
statusCodeintegerRequest status
tokenstringUser token

Response example

{
"statusCode": 200,
"token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJlbWFpbCI6ImFkbWlmQGZsYXRjaHIuaW8iLCKpYXQiOjE2NDQ8NDkxNjQsImV4cCI6MTY0NTM4MTE2NH0.yfbr7HQjx90eZdXr9gEQ7FfqQoV4Lm53oZDhC0DMmMU"
}